<?php

date_default_timezone_set("America/Mexico_City");
require_once dirname(__DIR__)."/Config/DBs.php";


class DatabaseApp
{
    public $conexion;
    public $conexionFirebird;

    public function __construct(){
		$this->conexion = new mysqli(SERVERMYSQL,USERMYSQL,PASSMYSQL,DBMYSQL);
        $this->conexion->query("SET NAMES 'utf8'");

        $this->conexionFirebird = @ibase_connect(HOSTAPP,USERAPP,PASSAPP);
    }

    public function select( $query)
    {
        $exeQuery = $this->conexion->query( $query );
        $resultados = $exeQuery->fetch_all( MYSQLI_ASSOC);
        return $resultados;
    }

    public function update( $query)
    {
        $exeQuery = $this->conexion->query( $query );
        return $this->conexion->affected_rows;
    }

    public function insert( $query )
    {

        $exeQuery  = $this->conexion->query( $query );

        if ( $exeQuery ) {
            $idregistrado = $this->conexion->insert_id;
            if ( $idregistrado === 0) {
                return 0;
            }else{
                return $idregistrado;
            }
        }else{
            return -1;
        }
    }

    public function selectFirebird( $query )
    {
        
        $exeQuery = ibase_query( $this->conexionFirebird , $query );
        $resultados = [];
        while (  $resultado = ibase_fetch_object($exeQuery) ) {
            array_push( $resultados, $resultado);
        }

        return $resultados;
    }

}
