<?php

require_once dirname(__DIR__)."/Models/usuarios_internos.php";


class UsuariosInternosController  
{
    public function registraTokenAlmacen($token, $almacen, $device , $telefono)
    {
        $modeloUsuariosInternos = new UsuariosInternos;
        $estadoRegistro = $modeloUsuariosInternos->registraTokenAlmacen( $token, $almacen, $device , $telefono );
        
        if( $estadoRegistro == -1 ){
            return $modeloUsuariosInternos->actualizaTokenAlmacen( $token, $almacen, $device ,$telefono);
        }else{
            return $estadoRegistro;
        }        
    }

    public function getTokensAlmacenes()
    {
        $modeloUsuariosInternos = new UsuariosInternos;
        return $modeloUsuariosInternos->getTokensAlmacenes();
    }

    public function esDispositivoRepetido( $device)
    {
        $modeloUsuariosInternos = new UsuariosInternos;
            $esUsuario = $modeloUsuariosInternos->esDispositivoRepetido($device);
        if ( sizeof( $esUsuario ) ) {
            return ['registrado' => $esUsuario[0]['telefono']];
        } else {
            return ['registrado' => 0];
        }
        
    }

     public function registrarTelefono( $dataRegistro )
     {
          //verifica los datos del usuario en  db nomina
          $modeloUsuariosInternos = new UsuariosInternos;
          $user = $modeloUsuariosInternos->getUsuariosIntranet( $dataRegistro['user'] );
          if ( sizeof( $user) ) {
              
              if ( $user[0]['password'] == $dataRegistro['pass'] ) {
                  
                  self::registraTokenAlmacen( $dataRegistro['token'] ,$user[0]['idprediction'] == '' || $user[0]['idprediction'] == null ? -1 : $user[0]['idprediction'] ,$dataRegistro['disp'],$dataRegistro['tel']);
                  return ['error' =>  0 ];
              } else {
                  return ['error' => 1];
              }
              
          } else {
              return ['error' => -1 ];
          }
          
     }

     public function getNotificaciones( $telefono )
     {
      
        $modeloUsuariosInternos = new UsuariosInternos;
        //obteniendo todos las notificaciones del usuario
        $listaNotificaiciones = $modeloUsuariosInternos->getNotificaciones();

        return $listaNotificaiciones;
     }

     public function cambiodeNumero( $telefono )
     {
        $modeloUsuariosInternos = new UsuariosInternos;
        return $modeloUsuariosInternos->deshabilitaTelefonoYnumero( $telefono );
     }
}
