<?php

require_once dirname(__DIR__)."/Sitex/vendor/autoload.php";
require_once dirname(__DIR__)."/Sitex/Controllers/usuarios_internos.php";
require_once dirname(__DIR__)."/Sitex/Controllers/pedidosBroadcast.php";
require_once dirname(__DIR__)."/../eshopdos/controladores/pedidos.php";


$base  = dirname($_SERVER['PHP_SELF']);

if(ltrim($base, '/')){ 

    $_SERVER['REQUEST_URI'] = substr($_SERVER['REQUEST_URI'], strlen($base));
    
}

$klein = new \Klein\Klein();

$klein->respond("POST","/registrar/tokens", function ($request, $response, $service)
{
    $dataPost = $request->paramsPost();
    $usuariosInternosController = new UsuariosInternosController;
    
    echo  $usuariosInternosController->registraTokenAlmacen($dataPost['token'], $dataPost['sucursal'], $dataPost['deviceId'],$dataPost['telefono']);
});


$klein->respond("GET", "/busca/iddispositivo", function ( $request , $response , $service)
{
    $dataGet = $request->paramsGet();

    $usuariosInternosController = new UsuariosInternosController;
    echo json_encode( $usuariosInternosController->esDispositivoRepetido( $dataGet['device']) );
});

$klein->respond( "POST" ,"/registrar", function ( $request , $response , $service)
{
    
    $dataPost = $request->paramsPost();
    

    $usuariosInternosController = new UsuariosInternosController;
    echo json_encode( $usuariosInternosController->registrarTelefono( $dataPost ) );
});


$klein->respond("GET","/lista/notificaciones", function ($request , $response , $service )
{
   $dataGet = $request->paramsGet();
   $usuariosInternosController = new UsuariosInternosController;
   echo json_encode(  $usuariosInternosController->getNotificaciones( $dataGet['telefono']) );
});

$klein->respond("GET","/baja", function ($request, $response, $service)
{
    //  ejecuta el broadcast
    $dataGet = $request->paramsGet();
    $usuariosInternosController = new UsuariosInternosController;
    echo json_encode(  $usuariosInternosController->cambiodeNumero( $dataGet['telefono']) );
    
});

$klein->respond("GET","/broadcast/pedidos", function ($request, $response, $service)
{
    //  ejecuta el broadcast
    $broadCast = new BroadcastPedidos;
    $broadCast->sendNotification();
    
});

$klein->dispatch();